<?php
/**
 * @package   admintoolswp
 * @copyright Copyright (c)2017-2019 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL version 3 or later
 */

use Akeeba\AdminTools\Library\Geoip\Akgeoip;
use Akeeba\AdminTools\Library\Utils\Ip;

defined('ADMINTOOLSINC') or die;

class AtsystemFeatureGeoblock extends AtsystemFeatureAbstract
{
	protected $loadOrder = 30;

	/**
	 * Is this feature enabled?
	 *
	 * @return bool
	 */
	public function isEnabled()
	{
		$cnt = $this->cparams->getValue('geoblockcountries', '');
		$con = $this->cparams->getValue('geoblockcontinents', '');

		return ((!empty($cnt) || !empty($con)) && class_exists('Akeeba\\AdminTools\\Library\\Geoip\\Akgeoip'));
	}

	public function onSystem()
	{
		$ip = Ip::getIp();

		$continents = $this->cparams->getValue('geoblockcontinents', '');
		$continents = empty($continents) ? array() : explode(',', $continents);
		$countries  = $this->cparams->getValue('geoblockcountries', '');
		$countries  = empty($countries) ? array() : explode(',', $countries);

		$geoip     = new Akgeoip();
		$country   = $geoip->getCountryCode($ip);
		$continent = $geoip->getContinent($ip);

		if (empty($country))
		{
			$country = '(unknown country)';
		}

		if (empty($continent))
		{
			$continent = '(unknown continent)';
		}

		if (($continent) && !empty($continents) && in_array($continent, $continents))
		{
			$extraInfo = 'Continent : ' . $continent;
			$this->exceptionsHandler->blockRequest('geoblocking', null, $extraInfo);
		}

		if (($country) && !empty($countries) && in_array($country, $countries))
		{
			$extraInfo = 'Country : ' . $country;
			$this->exceptionsHandler->blockRequest('geoblocking', null, $extraInfo);
		}
	}
}
